Review exact draft source, actor grants and package selections
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/source-drafts/{sourceDraftId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/source-drafts/{sourceDraftId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/source-drafts/{sourceDraftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"sourceDraftId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"name": "<string>",
"version": 4503599627370495,
"revision": 1,
"state": "available",
"sourceDigest": "<string>",
"sourceBytes": 4194304,
"files": [
{
"path": "<string>",
"digest": "<string>",
"bytes": 4194304
}
],
"tools": [
{
"libraryEntryId": "<string>",
"expectedPackageArchiveDigest": "<string>",
"initialState": "starter",
"title": "<string>",
"packageName": "<string>",
"packageVersion": "<string>",
"packageId": "<string>"
}
],
"world": {},
"createdBy": "<string>",
"createdAtMs": 0,
"deletedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Review exact draft source, actor grants and package selections
Review exact draft source, actor grants and package selections
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^draft_[0-9a-z]{12,32}$Response
Source draft
Available options:
1 Pattern:
^draft_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Required string length:
1 - 160Required range:
0 <= x <= 9007199254740991Available options:
1 Available options:
available, deleted Pattern:
^sha256:[0-9a-f]{64}$Required range:
0 < x <= 8388608Maximum array length:
2000Show child attributes
Show child attributes
Required array length:
1 - 8 elementsShow child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 255Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991